"""adding wikisp500 table

Revision ID: c8deb56c7d92
Revises: 84fb754ea7f6
Create Date: 2024-07-07 10:15:09.525907

"""

from typing import Sequence, Union

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision: str = "c8deb56c7d92"
down_revision: Union[str, None] = "84fb754ea7f6"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "wiki_sp500",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("created_at", sa.DateTime(timezone=True), nullable=True),
        sa.Column("updated_at", sa.DateTime(timezone=True), nullable=True),
        sa.Column("symbol", sa.String(), nullable=True),
        sa.Column("company", sa.String(), nullable=True),
        sa.Column("sector", sa.String(), nullable=True),
        sa.Column("industry", sa.String(), nullable=True),
        sa.Column("headquarters", sa.String(), nullable=True),
        sa.PrimaryKeyConstraint("id"),
    )
    op.add_column(
        "polygonapi_financials_data",
        sa.Column("created_at", sa.DateTime(timezone=True), nullable=True),
    )
    op.add_column(
        "polygonapi_financials_data",
        sa.Column("updated_at", sa.DateTime(timezone=True), nullable=True),
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("polygonapi_financials_data", "updated_at")
    op.drop_column("polygonapi_financials_data", "created_at")
    op.drop_table("wiki_sp500")
    # ### end Alembic commands ###
